gift Cards
Requires access scope.
Returns a paginated list of objects issued for the shop.
You can filter gift cards by attributes such as status, last characters of the code, balance status, and other values using the query parameter. You can also apply objects to filter results.
GiftCardConnection arguments
- Anchor to afterafter•String
The elements that come after the specified cursor.
- Anchor to beforebefore•String
The elements that come before the specified cursor.
- Anchor to firstfirst•Int
The first
nelements from the paginated list.- Anchor to lastlast•Int
The last
nelements from the paginated list.- Anchor to queryquery•String
A filter made up of terms, connectives, modifiers, and comparators. You can apply one or more filters to a query. Learn more about Shopify API search syntax.
- Anchor to default•string
Filter by a case-insensitive search of multiple fields in a document, including gift card codes.
query=a5bh6h64b329j4k7query=Bob Norman- Anchor to balance_status•string
fullpartialemptyfull_or_partialbalance_status:full- Anchor to created_at•time
created_at:>=2020-01-01T12:00:00Z- Anchor to expires_on•date
expires_on:>=2020-01-01- Anchor to initial_value•string
initial_value:>=100- Anchor to status•string
disabledenabledexpiredexpiringstatus:disabled OR status:expired
Example:
Valid values:
Example:
Example:
Example:
Example:
Valid values:
Example:
- Anchor to reversereverse•BooleanDefault:false
Reverse the order of the underlying list.
- Anchor to savedSearchIdsaved•ID
Search Id The ID of a saved search. The search’s query string is used as the query argument.
- Anchor to sortKeysort•Gift
Key Card Sort Keys Default:ID Sort the underlying list using a key. If your query is slow or returns an error, then try specifying a sort key that matches the field used in the search.
Anchor to Possible returnsPossible returns
- Anchor to edgesedges•[Gift
Card Edge!]! non-null The connection between the node and its parent. Each edge contains a minimum of the edge's cursor and the node.
- Anchor to nodesnodes•[Gift
Card!]! non-null A list of nodes that are contained in GiftCardEdge. You can fetch data about an individual node, or you can follow the edges to fetch data about a collection of related nodes. At each node, you specify the fields that you want to retrieve.
- Anchor to pageInfopage•Page
Info Info! non-null An object that’s used to retrieve cursor information about the current page.